summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xMARSHMALLOW-RLCR-PATCHSET47
1 files changed, 47 insertions, 0 deletions
diff --git a/MARSHMALLOW-RLCR-PATCHSET b/MARSHMALLOW-RLCR-PATCHSET
new file mode 100755
index 0000000..e022001
--- /dev/null
+++ b/MARSHMALLOW-RLCR-PATCHSET
@@ -0,0 +1,47 @@
+#!/bin/sh
+
+. $(dirname $0)/functions
+
+PATCHES=0
+if [ -n "$1" ]; then
+ AOSP="$1"
+else
+ AOSP="`pwd`"
+fi
+
+if ! [ -d "$AOSP" ] && ! [ -d "$AOSP/bionic" ] && [ -d "$AOSP"/build ]; then
+ echo "This script must be run from the AOSP source directory"
+ echo "or with the AOSP source directory as its first parameter."
+ exit 1
+fi
+
+##################################################
+################ Non-upstreamable ################
+##################################################
+#patch to make 32bit binary on 64bit platforms use
+#the existing assembly code for arm as well
+apply --linaro frameworks/av 16238/1
+
+##################################################
+################ Backport ########################
+##################################################
+
+##################################################
+################## Bug fixes #####################
+##################################################
+
+##################################################
+################ Temporary fix ###################
+##################################################
+
+##################################################
+#### Optimizations not yet submitted upstream ####
+##################################################
+
+########################################################
+#### Backports of optimizations submitted to master ####
+########################################################
+
+##################################################
+################ Linaro hack ###################
+##################################################